### Virtual Method

# Foundry Symbol dup_name

#### Declaration [src]

    char*
    dup_name (
      FoundrySymbol* self
    )

#### Description [src]

Gets the name of the symbol.

#### Return value

Type: `char*`

A string or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.